Debian Bug report logs - #694978
ITP: liblinux-prctl-perl -- Perl interface to Linux's prctl(2) call

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tom Jones <tom@oxix.org>

Date: Sun, 2 Dec 2012 21:39:01 UTC

Owned by: Salvatore Bonaccorso <carnil@debian.org>

Severity: wishlist

Fixed in version liblinux-prctl-perl/1.5.0-1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694978; Package wnpp. (Sun, 02 Dec 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Jones <tom@oxix.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 02 Dec 2012 21:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tom Jones <tom@oxix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: liblinux-prctl-perl -- Perl interface to Linux's prctl(2) call
Date: Sun, 02 Dec 2012 21:28:55 +0000
Package: wnpp
Severity: wishlist

* Package name    : liblinux-prctl-perl
  Version         : 1.5.0
  Upstream Author : Dennis Kaarsemaker <dennis@kaarsemaker.net>
* URL             : http://search.cpan.org/~seveas/Linux-Prctl/
* License         : GPLv3 or later
  Programming Lang: Perl
  Description     : Perl interface to Linux's prctl(2) call

The reason I need this is to use the PR_SET_PDEATHSIG functionality
(see prctl(2)), which is exposed through set_pdeathsig in this Perl
module, but most of prctl(2)'s functionality appears to be made
available to Perl by this module.

The application in which I'm using set_pdeathsig is sigtr - see
<https://github.com/tomgjones/sigtr>.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694978; Package wnpp. (Mon, 03 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 694978@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Tom Jones <tom@oxix.org>, 694978@bugs.debian.org
Subject: Re: Bug#694978: RFP: liblinux-prctl-perl -- Perl interface to Linux's prctl(2) call
Date: Mon, 3 Dec 2012 19:01:55 +0100
[Message part 1 (text/plain, inline)]
Control: retitle -1 ITP: liblinux-prctl-perl -- Perl interface to Linux's prctl(2) call
Control: owner -1 !

Hi Tom

On Sun, Dec 02, 2012 at 09:28:55PM +0000, Tom Jones wrote:
> Package: wnpp
> Severity: wishlist
> 
> * Package name    : liblinux-prctl-perl
>   Version         : 1.5.0
>   Upstream Author : Dennis Kaarsemaker <dennis@kaarsemaker.net>
> * URL             : http://search.cpan.org/~seveas/Linux-Prctl/
> * License         : GPLv3 or later
>   Programming Lang: Perl
>   Description     : Perl interface to Linux's prctl(2) call
> 
> The reason I need this is to use the PR_SET_PDEATHSIG functionality
> (see prctl(2)), which is exposed through set_pdeathsig in this Perl
> module, but most of prctl(2)'s functionality appears to be made
> available to Perl by this module.
> 
> The application in which I'm using set_pdeathsig is sigtr - see
> <https://github.com/tomgjones/sigtr>.

I will have a look at it and try to package it under the umbrella of
the Debian Perl Group.

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: liblinux-prctl-perl -- Perl interface to Linux's prctl(2) call' from 'RFP: liblinux-prctl-perl -- Perl interface to Linux's prctl(2) call' Request was from Salvatore Bonaccorso <carnil@debian.org> to 694978-submit@bugs.debian.org. (Mon, 03 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Owner recorded as Salvatore Bonaccorso <carnil@debian.org>. Request was from Salvatore Bonaccorso <carnil@debian.org> to 694978-submit@bugs.debian.org. (Mon, 03 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 06 Dec 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Sat, 08 Dec 2012 11:07:32 GMT) Full text and rfc822 format available.

Notification sent to Tom Jones <tom@oxix.org>:
Bug acknowledged by developer. (Sat, 08 Dec 2012 11:07:32 GMT) Full text and rfc822 format available.

Message #21 received at 694978-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 694978-close@bugs.debian.org
Subject: Bug#694978: fixed in liblinux-prctl-perl 1.5.0-1
Date: Sat, 08 Dec 2012 11:03:25 +0000
Source: liblinux-prctl-perl
Source-Version: 1.5.0-1

We believe that the bug you reported is fixed in the latest version of
liblinux-prctl-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated liblinux-prctl-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 05 Dec 2012 14:21:07 +0100
Source: liblinux-prctl-perl
Binary: liblinux-prctl-perl
Architecture: source amd64
Version: 1.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 liblinux-prctl-perl - Perl extension for controlling process characteristics
Closes: 694978
Changes: 
 liblinux-prctl-perl (1.5.0-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #694978)
Checksums-Sha1: 
 e14849f13a095d74a7fdfd401fbece9221b766dc 2077 liblinux-prctl-perl_1.5.0-1.dsc
 d6c824f9b4f5f5804147e5a83b49854dfc437bbb 60640 liblinux-prctl-perl_1.5.0.orig.tar.gz
 bd87c7a1c6ae0ef95ce17141b06bd5cd0b9a7138 1583 liblinux-prctl-perl_1.5.0-1.debian.tar.gz
 c937f8d5606bb01124877b310f4701bd11eec0a6 34724 liblinux-prctl-perl_1.5.0-1_amd64.deb
Checksums-Sha256: 
 49ec782a184faf67e418d4e978babb2f8c181f77cf8f0b106e3d1137d09e34fd 2077 liblinux-prctl-perl_1.5.0-1.dsc
 25aab7aef53317876f5e156ac7cf23bd15ceda86f8d7de941b8c8735e4df127a 60640 liblinux-prctl-perl_1.5.0.orig.tar.gz
 64cfbe54fd82d670ad0bff157ed6cc9d515f62284deca302671c2f991238d38c 1583 liblinux-prctl-perl_1.5.0-1.debian.tar.gz
 f94075904fc4773d83100bcf20a4069046fdb788809683aedb00ccbe3a9c072e 34724 liblinux-prctl-perl_1.5.0-1_amd64.deb
Files: 
 361ad993f508fe5316a86cde525e4518 2077 perl optional liblinux-prctl-perl_1.5.0-1.dsc
 60da4fbdbd4be03a3396cfce65c99eab 60640 perl optional liblinux-prctl-perl_1.5.0.orig.tar.gz
 2b505ea01faccdaed83d15f3fbf2f249 1583 perl optional liblinux-prctl-perl_1.5.0-1.debian.tar.gz
 49c2538886d56df1465e81f0cf2067e3 34724 perl optional liblinux-prctl-perl_1.5.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQv05/AAoJEHidbwV/2GP+gNwQANmg2RHhVIlBpR0ZmR1X84BB
WvWHigETrums3XmiqK1aaLiaqm7L88LEDJrE5Ba4fkTc/jAnuCeW2o5ExLc61ZOA
ZEjmmM4TZIzqi0tzGvY5Hr8CresdU2i8bY6Dg0O62InTgk3/o6n4WK7cgsFVNrSh
PPtwExTe9dWwbJ5EtVt+W5RAQI4ngEiztFs7ALDaDcFkYOXpJCb7ONGIUFY9Sbee
N4aTxqTAvn6RQXkhJEPOq59mjA6Si97UknFygnM8WjuBWbGGTBDQytuHzLsaPREL
Z8j7Wvjrkz1vJx4wefx6pOsRJU4wGvxxnJdCKphgP09cQcD8hrGEd46usxnE8kPK
v7Z2B7EpjIrXRznEFsxn7sP+6M7psP7rfknRPwiKG+xGz6/xDNe+ptMvHz86372g
OEPsYoDEM0/4/gc/HfFr52mYz7cHRmF+C2q3cn3DnYUJoxCchJL5mvlB+2eE5ccw
i9FO1Bw/zx/s7OrNypyHmmA9y/3iaMiUI/zln7PfDqVU0CTEMnLbVoUDYWzIFovU
8vMiUeA8W5hXvjBcnCh2BtxF3O7ClXXwOTEBhS1z9XLeU8wvtppNCTQqMkaC/BSF
semyFQCV9bPRUTNowGjN0RDgZxU8ZHUnrGotnfHEaGDx5VrhfSIiVIayfYbRVAvZ
1QQaQ8iawoqIiRNkgOm2
=T0WC
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Salvatore Bonaccorso <carnil@debian.org>:
Bug#694978; Package wnpp. (Tue, 11 Dec 2012 11:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Jones <tom@oxix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Salvatore Bonaccorso <carnil@debian.org>. (Tue, 11 Dec 2012 11:21:06 GMT) Full text and rfc822 format available.

Message #26 received at 694978@bugs.debian.org (full text, mbox):

From: Tom Jones <tom@oxix.org>
To: 694978@bugs.debian.org
Subject: Re: Bug#694978 closed by Salvatore Bonaccorso <carnil@debian.org> (Bug#694978: fixed in liblinux-prctl-perl 1.5.0-1)
Date: Tue, 11 Dec 2012 11:09:38 +0000
> > I will have a look at it and try to package it under the umbrella of
> > the Debian Perl Group.
> 
> It has been closed by Salvatore Bonaccorso <carnil@debian.org>.

Just to say: thanks very much for doing this.

  best wishes, Tom Jones.

-- 
Tom Jones



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jan 2013 07:27:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:16:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.